#!/bin/sh

# /www/cgi-bin/config/config1.sh 
# This script gets the secn, network and wireless configuration values
# then generates the config1.html page file
# which will display the current configuration values.

### Set up Config page

# Get the Asterisk and Access Point confg parameters 
# from config file /etc/config/secn

# Asterisk configuration parameters
ENABLE=`uci get secn.asterisk.enable`
REGISTER=`uci get secn.asterisk.register`
HOST=`uci get secn.asterisk.host`
REGHOST=`uci get secn.asterisk.reghost`
SECRET=`uci get secn.asterisk.secret`
USERNAME=`uci get secn.asterisk.username`
FROMUSERNAME=`uci get secn.asterisk.fromusername`
ENABLE=`uci get secn.asterisk.enable`
DIALOUT=`uci get secn.asterisk.dialout`
CODEC1=`uci get secn.asterisk.codec1`
CODEC2=`uci get secn.asterisk.codec2`
CODEC3=`uci get secn.asterisk.codec3`

# Access Point configuration parameters
SSID=`uci get secn.accesspoint.ssid`
PASSPHRASE=`uci get secn.accesspoint.passphrase`
CHANNEL=`uci get wireless.wifi0.channel`

# Get network settings from /etc/config/network

# br_lan confguration parameters
BR_IPADDR=`uci get network.lan.ipaddr`
BR_GATEWAY=`uci get network.lan.gateway`

# ath0 configuration parameters
ATH0_IPADDR=`uci get network.wifi0.ipaddr`
ATH0_NETMASK=`uci get network.wifi0.netmask`
ATH0_MTU=`uci get network.wifi0.mtu`

# Get Asterisk registration status
REG_STATUS=`asterisk -rnx "sip show registry" | grep Registered | awk '{print $4;}'`
REG_ACCT=`asterisk -rnx "sip show registry"   | grep Registered | awk '{print $1;}'`

if [ $REG_STATUS = "Registered"  ]; then
# Display Not Registered status
REG_STATUS="Registered Acct"
else
REG_STATUS="Not Registered"
fi

# GatewayTest Status message
GATEWAY_STATUS=`cat /tmp/gatewaystatus.txt`

# Password status message
PASSWORD_STATUS=`cat /tmp/passwordstatus.txt`

# Clear password fields
PASSWORD1="\"\""
PASSWORD2="\"\""

# Generate the new config html page file
# Everything from here to EOF will be written to the file
# The HTML is in config1.html

source /www/cgi-bin/config/html/config1.html

# Clear the dhcp and password status messages
rm /tmp/gatewaystatus.txt
rm /tmp/passwordstatus.txt


